<!-- 收货地址 -->
<template>
  <div>
    <div v-show="!AddAddressShow">
      <div class="scroll">
        <div class="address m_brd" v-for="(item, index) in dataList" :key="index" >
          <div @click=" selectAddress(item)">
            <div class="human_info flex">
              <div class="human_info--name">{{item.name}}</div>
              <div class="receiver_mobile">{{item.mobile}}</div>
            </div>
            <div class="human_address">{{item.address_text}}</div>
            <div style="white-space: pre-line;" v-html="item.address"></div>
          </div>
          <div class="operate flex flex-b">

            <div class="defAdd" v-if="item.is_default==1">默认地址</div>
            <div class="flex-1"></div>

            <div class="flex flex-m">
              <div @click="goAddress('edit',item)" class="flex flex-m mr20">
                <van-icon name="edit" />编辑
              </div>
              <div @click="delAddress(item,index)" class="flex flex-m">
                <van-icon name="delete" />删除
              </div>
            </div>
          </div>
        </div>
        <div class="noListPic" v-if="!dataList.length">
          <img src="@/assets/img/noadd.png">
          <div>您暂时没有任何收货地址哦！</div>
        </div>

      </div>
      <div class="btn_addAddress_box">
        <div class="btn_addAddress" @click="goAddress('add')">新增收货地址</div>
      </div>

    </div>

    <div v-if="AddAddressShow">
      <addaddress :that='that' />
    </div>

  </div>
</template>

<script>
import addaddress from './addAddress'
import areaList from '../../utils/area.js'
export default {
  props: ['that_index', 'select'],
  name: 'myAddress',
  components: { addaddress },
  data() {
    return {
      check: "",
      dataList: [],
      AddAddressShow: false,
      that: ''
    };
  },
  mounted() {
    this.that = this
    this.init()
  },

  beforeRouteLeave(to, from, next) {
    if (this.AddAddressShow) {
      this.sePageTitle('收货地址')
      this.AddAddressShow = false
      next(false)
    } else {
      next()
    }
  },

  methods: {

    init() {
      let address_status = sessionStorage.address_status
      sessionStorage.address_status = ''
      this.getDeliveryAddressList()
    },

    //获取收货地址 api
    getDeliveryAddressList() {
      this.m_loading()
      this.api.address().then(res => {
        this.dataList = res.data
        this.m_hideLoading()
      }).catch(res => {
        console.log(res)
      })
    },

    //删除地址
    delAddress(item, index) {
      this.$dialog.confirm({
        title: '删除提示',
        message: '是否确定删除该收货地址'
      }).then(res => {
        this.deleteDeliveryAddress(item, index)
      }).catch(res => {

      })
    },

    //删除收货地址 api
    deleteDeliveryAddress(item, index) {
      this.m_loading()
      this.api.address_del({ id: item.id }).then(res => {
        this.m_hideLoading()
        this.m_success('删除成功')
        this.getDeliveryAddressList()

      }).catch(err => {
        this.m_hideLoading()
      })
    },

    //添加收货地址
    goAddress(key, item) {
      sessionStorage.address_status = key
      if (key == 'edit') {
        sessionStorage.addressInfo = JSON.stringify(item)
      }
      // this.$router.push('/addAddress')
      this.AddAddressShow = true
    },

    //选择收货地址
    selectAddress(item) {
      let flag = this.select == 1
      if (flag) {
        sessionStorage.address = JSON.stringify(item)
        //this.$router.go(-1)
        this.that_index.setAddressData(item)
        this.that_index.addressShow = false
        return
      }

      let flag1 = this.$route.query.choice == 1
      if (flag1) {
        sessionStorage.address = JSON.stringify(item)
        this.$router.go(-1)
        return
        
      }
    },

    


  },
  filters: {
    province(v) {
      let List = areaList.province_list
      return List[v]
    },

    city(v) {
      let List = areaList.city_list
      return List[v]
    },

  }
}

</script>
<style lang="scss" scoped>
.scroll {
  padding-bottom: 2.48rem;
  padding-right: 0.3rem;
  padding-left: 0.3rem;
  padding-top: 0.2rem;
}
.address {
  background-color: #ffffff;
  box-sizing: border-box;
  padding: 0.38rem 0.26rem 0.22rem 0.26rem;
  color: #444;
  margin-bottom: 0.2rem;
}

.address:last-child {
  margin-bottom: 0rem;
}

.human_info {
  height: 0.42rem;
  font-size: 0.3rem;
  line-height: 0.3rem;
  margin-bottom: 0.18rem;
}

.human_info--name {
  margin-right: 0.52rem;
}

.human_address {
  height: 0.4rem;
  font-size: 0.28rem;
  // color: #8f8f8f;
  padding-bottom: 0.3rem;
  border-bottom: 1px solid #f1f1f1;
}

.receiver_mobile{
    color: #8F8F8F;
}

.operate {
  padding-top: 0.2rem;
  height: 0.4rem;
  font-size: 0.28rem;
}

.btn_addAddress {
  width: 6.28rem;
  height: 0.88rem;
  background-color: #4C80C1;
  border-radius: 14px;
  line-height: 0.88rem;
  font-size: 0.3rem;
  color: #fff;
  margin: 0 auto;
  text-align: center;
}

.btn_addAddress_box {
  position: fixed;
  z-index: 2;
  bottom: 0;
  height: 1.6rem;
  width: 100%;
  background: #f7f7f7;
  padding-top: 0.36rem;
  box-sizing: border-box;
}

.defAdd {
  width: 1.36rem;
  line-height: 0.46rem;
  text-align: center;
  height: 0.46rem;
  background-color: #ffa847;
  border-radius: 0.04rem;
  font-size: 0.24rem;
  color: #fff;
}
</style>